using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability865.Domain;

public class TaobaoOpenAccountTokenValidateOAuthOtherInfo
{

    /*
        access_token
    */
    private string? accessToken;


    /*
        nick
    */
    private string? nick;


    /*
        avatarUrl
    */
    private string? avatarUrl;


    /*
        id
    */
    private string? id;


    /*
        三方平台类型
    */
    private long? platformType;


    /*
        三方平台的openId
    */
    private string? openId;


    /*
        三方平台的unionId
    */
    private string? unionId;



    [JsonPropertyName("access_token")]
    public string? AccessToken
    {
        get => accessToken;
        set => this.accessToken = value;
    }

    [JsonPropertyName("nick")]
    public string? Nick
    {
        get => nick;
        set => this.nick = value;
    }

    [JsonPropertyName("avatar_url")]
    public string? AvatarUrl
    {
        get => avatarUrl;
        set => this.avatarUrl = value;
    }

    [JsonPropertyName("id")]
    public string? Id
    {
        get => id;
        set => this.id = value;
    }

    [JsonPropertyName("platform_type")]
    public long? PlatformType
    {
        get => platformType;
        set => this.platformType = value;
    }

    [JsonPropertyName("open_id")]
    public string? OpenId
    {
        get => openId;
        set => this.openId = value;
    }

    [JsonPropertyName("union_id")]
    public string? UnionId
    {
        get => unionId;
        set => this.unionId = value;
    }

}

